> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prompt Dataset

> 
Retrieve a prompt dataset's metadata by ID. Use to check dataset configuration or input schema.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/prompt-datasets/{dataset_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/prompt-datasets/{dataset_id}:
    get:
      tags:
        - Prompt Datasets
      summary: Get Prompt Dataset
      description: >-

        Retrieve a prompt dataset's metadata by ID. Use to check dataset
        configuration or input schema.
      operationId: get_get_prompt_dataset
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  input_names:
                    items:
                      type: string
                    title: Input Names
                    type: array
                  media_input_names:
                    items:
                      type: string
                    title: Media Input Names
                    type: array
                  support_history:
                    title: Support History
                    type: boolean
                  description:
                    default: null
                    title: Description
                    type:
                      - string
                      - 'null'
                  tags:
                    default: null
                    items:
                      $ref: '#/components/schemas/TagResponse'
                    title: Tags
                    type: array
                required:
                  - id
                  - name
                  - input_names
                  - media_input_names
                  - support_history
                title: PromptDatasetResponse
                type: object
          description: >-
            PromptDatasetResponse(dataset: shared.sqlalchemy.models.Dataset,
            tags: Optional[list['TagResponse']] = None)
components:
  schemas:
    TagResponse:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          title: Color
          type: string
        association_count:
          default: 0
          title: Association Count
          type: integer
      required:
        - id
        - name
        - color
      title: TagResponse
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````